package com.ruoyi.system.domain.vo;

import com.ruoyi.common.annotation.Excel;

import java.util.List;

public class SchemeInvestmentVo {
    /** 主键id */
    @Excel(name = "主键id", cellType = Excel.ColumnType.NUMERIC)
    private Long id;
    /** 方案id */
    @Excel(name = "方案id")
    private String schemeId;
    /**方案名称*/
    @Excel(name = "方案名称")
    private String name;
    /** 设备组合 */
    @Excel(name = "设备组合")
    private String combination;
    /** 评估维度 */
    @Excel(name = "评估维度")
    private String evaluationDimension;
    //设备清单
    private List<SchemeProductVo> schemeProductList;
    //投资规模
    private InvestmentScaleVo investmentscale;
    //营收预测
    private RevenueForecastVo revenueForecast;
    //收益模型
    private RevenueModelVo RevenueModelVo;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getSchemeId() {
        return schemeId;
    }

    public void setSchemeId(String schemeId) {
        this.schemeId = schemeId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCombination() {
        return combination;
    }

    public void setCombination(String combination) {
        this.combination = combination;
    }

    public String getEvaluationDimension() {
        return evaluationDimension;
    }

    public void setEvaluationDimension(String evaluationDimension) {
        this.evaluationDimension = evaluationDimension;
    }

    public List<SchemeProductVo> getSchemeProductList() {
        return schemeProductList;
    }

    public void setSchemeProductList(List<SchemeProductVo> schemeProductList) {
        this.schemeProductList = schemeProductList;
    }

    public InvestmentScaleVo getInvestmentscale() {
        return investmentscale;
    }

    public void setInvestmentscale(InvestmentScaleVo investmentscale) {
        this.investmentscale = investmentscale;
    }

    public RevenueForecastVo getRevenueForecast() {
        return revenueForecast;
    }

    public void setRevenueForecast(RevenueForecastVo revenueForecast) {
        this.revenueForecast = revenueForecast;
    }

    public com.ruoyi.system.domain.vo.RevenueModelVo getRevenueModelVo() {
        return RevenueModelVo;
    }

    public void setRevenueModelVo(com.ruoyi.system.domain.vo.RevenueModelVo revenueModelVo) {
        RevenueModelVo = revenueModelVo;
    }
}
